<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="style3.css">
</head>
<body>
    <div class="container"></div>
    <img src="images/menu.png" id="menuIcon">
    <h2 class="logo">BookBuddy</h2>
    <p class="texts">Signup</p>
    
    <div class="menu-box" id="menuBox">
        <ul>
            <li><a href="index.html">Home</a></li>
            <li><a href="login.html">Login</a></li>
            <li><a href="#">Terms & Conditions</a></li>
            <li><a href="#">About Us</a></li>
        </ul>
    </div> 

    <section class="container forms">
        <div class="form login">
            <div class="form-content">
                
                <form action="#">
                     <div class="field input-field">
                        <input type="fullname" id="fullname" placeholder="Full Name" class="input">
                    </div>
                    <div class="field input-field">
                        <input type="email" id="email" placeholder="Email" class="input">
                    </div>
                    <div class="field input-field">
                        <input type="password" id="pw1" placeholder="Create password" class="password">
                    </div>
                    <div class="field input-field">
                        <input type="password" id="pw2" placeholder="Confirm password" class="password">
                        <i class='bx bx-hide eye-icon'></i>
                    </div>
                    <div class="field button-field">
                        <button id="submit-btn">Signup</button>
                    </div>
                </form>
                <div class="form-link">
                    <span>Already have an account? <a href="login.html">Login</a></span>
                </div>
            </div>
            
        </div>
        
    </section>

    <script>
        let menuBox= document.getElementById("menuBox");
        let menuIcon= document.getElementById("menuIcon");
        menuIcon.onclick=function(){
            menuBox.classList.toggle("open-menu");
            if(menuBox.classList.contains("open-menu")){
                menuIcon.src="images/close.png"
            }
                else{
                menuIcon.src="images/menu.png"
            }
        }

        const forms = document.querySelector(".forms"),
      pwShowHide = document.querySelectorAll(".eye-icon"),
      links = document.querySelectorAll(".link");
pwShowHide.forEach(eyeIcon => {
    eyeIcon.addEventListener("click", () => {
        let pwFields = eyeIcon.parentElement.parentElement.querySelectorAll(".password");
        
        pwFields.forEach(password => {
            if(password.type === "password"){
                password.type = "text";
                eyeIcon.classList.replace("bx-hide", "bx-show");
                return;
            }
            password.type = "password";
            eyeIcon.classList.replace("bx-show", "bx-hide");
        })
        
    })
})      
links.forEach(link => {
    link.addEventListener("click", e => {
       e.preventDefault(); //preventing form submit
       forms.classList.toggle("show-signup");
    })
})
    </script>
    <script src="js/login.js"></script>
    <script src="js/admin.js"></script>

</body>
</html>